/*
 * Direct3D8 vertex shaders
 * Copyright (c) 2002, TransGaming Technologies Inc.
 */

#include "config.h"

#include "winbase.h"
#include "d3d8.h"
#include "wine/debug.h"

#include "d3d8_private.h"

WINE_DEFAULT_DEBUG_CHANNEL(ddraw);

HRESULT WINAPI Direct3DDevice8_SetPixelShader(LPDIRECT3DDEVICE8 iface,
					      DWORD Handle)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  TRACE("(%p)->(%ld)\n", iface, Handle);
  if (Handle) {
    FIXME("programmable pixel shaders not implemented\n");
    return D3DERR_INVALIDCALL;
  }
  return D3D_OK;
}

HRESULT WINAPI Direct3DDevice8_GetPixelShader(LPDIRECT3DDEVICE8 iface,
					      DWORD* pHandle)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  TRACE("(%p)->(%p)\n", iface, pHandle);
  *pHandle = 0;
  return D3D_OK;
}

BOOL WINAPI ValidatePixelShader(LPVOID stuff)
{
  /* this function is undocumented */
  TRACE("(%p)\n", stuff);
  return TRUE;
}

HRESULT WINAPI Direct3DDevice8_SetPixelShaderConstant(LPDIRECT3DDEVICE8 iface,
						      DWORD Register,
						      CONST void* pConstantData,
						      DWORD ConstantCount)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  FIXME("(%p)->(%ld, %p,%ld): stub\n", iface, Register, pConstantData, ConstantCount);
  return D3D_OK;
}

